import java.util.Arrays;
import java.util.Collections;
import java.util.Scanner;

public class Test {

	public static void main(String[] args) {
		Scanner in = new Scanner(System.in);
		String[] broj1 = in.next().split("");
		String[] broj2 = in.next().split("");
		in.close();
		Collections.reverse(Arrays.asList(broj1));
		Collections.reverse(Arrays.asList(broj2));
		StringBuffer broj3 = new StringBuffer("");
		int i = 0;
		while(i < broj2.length && i < broj1.length) {
			if(broj1[i].equals(broj2[i])) {
				broj3.append(broj1[i]);
				broj3.append(broj1[i]);
			}
			else if(broj1[i].compareTo(broj2[i]) > 0)
				broj3.append(broj1[i]);
			else
				broj3.append(broj2[i]);
			i++;
		}
		if(i == broj2.length)
			for (int j = i; j < broj1.length; j++)
				broj3.append(broj1[j]);
		else
			for (int j = i; j < broj2.length; j++)
				broj3.append(broj2[j]);
		broj3.reverse();
		System.out.println(broj3);
	}
}